#  Copyright 2021 Allan Galarza
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

"""Contains all the models representing TibiaWiki articles."""

from tibiawikisql.models.abc import Parseable, Row
from tibiawikisql.models.achievement import Achievement
from tibiawikisql.models.charm import Charm
from tibiawikisql.models.creature import Creature, CreatureAbility, CreatureDrop, CreatureMaxDamage, CreatureSound
from tibiawikisql.models.house import House
from tibiawikisql.models.imbuement import Imbuement, ImbuementMaterial
from tibiawikisql.models.item import Book, Item, ItemAttribute, ItemStoreOffer, Key
from tibiawikisql.models.mount import Mount
from tibiawikisql.models.npc import Npc, NpcBuyOffer, NpcDestination, NpcOffer, NpcSellOffer, NpcSpell, RashidPosition
from tibiawikisql.models.outfit import Outfit, OutfitImage, OutfitQuest
from tibiawikisql.models.quest import Quest, QuestDanger, QuestReward
from tibiawikisql.models.spell import Spell
from tibiawikisql.models.update import Update
from tibiawikisql.models.world import World
